Bug 1575835 (CVE-2018-1127)

Summary: CVE-2018-1127 tendrl-api: Improper cleanup of session token can allow attackers to hijack user sessions
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: sisharma, ssaha, vbellur
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20180508,reported=20180508,source=redhat,cvss3=4.2/CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:N,cwe=CWE-613,rhes-3/tendrl-api=affected
Fixed In Version: rhes 3.4.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:21:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1574453, 1575837    
Bug Blocks: 1574851    

Description Sam Fowler 2018-05-08 05:04:12 UTC
Tendrl API in Red Hat Gluster Storage does not immediately remove session tokens after a user logs out. Session tokens remain active for a few minutes allowing attackers to replay tokens acquired via sniffing/MITM attacks and authenticate as the target user.


Upstream patch:

https://github.com/Tendrl/api/pull/422

Comment 1 Sam Fowler 2018-05-08 05:06:06 UTC
Acknowledgments:

Name: Filip Balák (Red Hat)

Comment 4 errata-xmlrpc 2018-09-04 06:39:38 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 7

Via RHSA-2018:2616 https://access.redhat.com/errata/RHSA-2018:2616